#include "CFLash.h"

CFlash::CFlash()
{
}

CFlash::~CFlash()
{
}

void CFlash::StartFlash(GLVECTOR v1,GLVECTOR v2)
{
	DWORD Tiles=20;
	GLVECTOR points[22];
	points[0] = v1;
	float b=2.0f;
	float hinher=20.0f;
	float y = (v1.y-v2.y)/(float)(Tiles+2);
	for(DWORD d=1;d<Tiles+1;d++)
	{
		points[d] = GLVECTOR(points[d-1].x+(float)(rand()%(int)(hinher*100.0f))/100.0f-hinher/2.0f,v1.y-y*(float)d+(float)(rand()%(int)(hinher*100.0f))/100.0f-hinher/2.0f,points[d-1].z+(float)(rand()%(int)(hinher*100.0f))/100.0f-hinher/2.0f);
	}
	for(d=0;d<Tiles+1;d++)
	{
		vtx[d*2].x = points[d].x-b;
		vtx[d*2].y = points[d].y;
		vtx[d*2].z = points[d].z;
		vtx[d*2].tu = 0;
		vtx[d*2].tv = (float)d;
		vtx[d*2+1].x = points[d].x+b;
		vtx[d*2+1].y = points[d].y;
		vtx[d*2+1].z = points[d].z;
		vtx[d*2+1].tu = 1;
		vtx[d*2+1].tv = (float)d;
	}
	for(d=0;d<Tiles+1;d++)
	{
		vtx[(Tiles+1)*2+d*2].x = points[d].x;
		vtx[(Tiles+1)*2+d*2].y = points[d].y;
		vtx[(Tiles+1)*2+d*2].z = points[d].z-b;
		vtx[(Tiles+1)*2+d*2].tu = 0;
		vtx[(Tiles+1)*2+d*2].tv = (float)d;
		vtx[(Tiles+1)*2+d*2+1].x = points[d].x;
		vtx[(Tiles+1)*2+d*2+1].y = points[d].y;
		vtx[(Tiles+1)*2+d*2+1].z = points[d].z+b;
		vtx[(Tiles+1)*2+d*2+1].tu = 1;
		vtx[(Tiles+1)*2+d*2+1].tv = (float)d;
	}
	DWORD countquad=0;
	for(DWORD z=0;z<Tiles;z++)
	{
		Quads[countquad++] = z*2;
		Quads[countquad++] = z*2+1;
		Quads[countquad++] = (z+1)*2+1;
		Quads[countquad++] = (z+1)*2;
	}
	for(z=0;z<Tiles;z++)
	{
		Quads[countquad++] = (Tiles+1)*2+z*2;
		Quads[countquad++] = (Tiles+1)*2+z*2+1;
		Quads[countquad++] = (Tiles+1)*2+(z+1)*2+1;
		Quads[countquad++] = (Tiles+1)*2+(z+1)*2;
	}
	AktQuad = countquad;
}

void CFlash::Render()
{
	glEnable(GL_TEXTURE_2D);
	glDisable(GL_CULL_FACE);
	//glBindTexture(GL_TEXTURE_2D,tex);
//	glEnable(GL_BLEND);
//	glBlendFunc(GL_ONE_MINUS_SRC_ALPHA,GL_SRC_ALPHA);
//	glDisable(GL_DEPTH_TEST);

	glEnableClientState(GL_VERTEX_ARRAY);
	glEnableClientState(GL_NORMAL_ARRAY);
	glEnableClientState(GL_TEXTURE_COORD_ARRAY);
	glVertexPointer(3,GL_FLOAT,sizeof(GLVERTEX),&vtx[0].x);
	glNormalPointer(GL_FLOAT,sizeof(GLVERTEX),&vtx[0].nx);
	glTexCoordPointer(2,GL_FLOAT,sizeof(GLVERTEX),&vtx[0].tu);
	glDrawElements(GL_QUADS,AktQuad,GL_UNSIGNED_INT,Quads);

	glEnable(GL_CULL_FACE);
	glDisable(GL_BLEND);
	glEnable(GL_DEPTH_TEST);
	glDisable(GL_TEXTURE_2D);
}