#define D3D_OVERLOADS

#include <windows.h>
#include <gl\glu.h>
#include <gl\glaux.h>
#include <gl\glu.h>
#include <stdio.h>
#include "GLSys.h"

#ifndef TREESTRUCT

struct TEXCOORD
{
	float tu;
	float tv;
};

struct OBJECT
{
	GLVERTEX trunk[8];
	GLVERTEX main[12];
	GLVERTEX branches[45];
	GLVECTOR vPos;
	float size;
	float distance;
};

class CTree
{
public:
	GLuint	tex1,tex2,tex3,tex4,tex5;
	GLuint	textrunk;
	DWORD	AktObj;
	OBJECT	*Objects;

	void CreateTrees(DWORD ScpSize,GLVERTEX *Terrainvtx);
	CreateKegel(GLVECTOR vPos,float rad,float height,WORD TilesX);
	MoveObjects(DWORD w,GLVECTOR move);
	RenderSprites(CAMERA View);
	Render();
	CTree();
	virtual ~CTree();
};

#endif
#define TREESTRUCT