#include <windows.h>
#include "GLSys.h"
#include "CTree.h"
#include "Dinput.h"
#include "CTerrain.h"
#include "CWater.h"
#include "CSkyBox.h"
#include "CRain.h"
#include "CWind.h"
#include "CFlash.h"
#include "CWaterfall.h"
#include "CFire.h"

void CreateTree(void);
bool Render(void);
void Loop(HWND);
void ActScene(DWORD);
LRESULT CALLBACK WndProc(HWND hWnd,UINT uMsg,WPARAM wParam,LPARAM lParam);

GLuint	texIntro;
HWND	hWndMain;
GLSys	OpenGL,OpenGLReflact;
CTerrain	ObjTerrain;
CAMERA  ViewDat;
DWORD	ActTime=0,FPSTime=0;
DWORD	ActFrame=0;
int		FPS=0;
bool	KRight=0,KUp=0,KDown=0,KLeft=0;
CTree	ObjTree;
CWater	ObjWater;
CRain	ObjRain;
CWind	ObjWind;
CSkyBox	ObjSkyBox;
CFlash	ObjFlash;
CWaterfall ObjWaterfall;
CFire	ObjFire;
HBITMAP hReflaction;
WORD	AktShot=0;
DWORD	DemoTime=0;
float	fogd=1.0f;
BOOL	bInter=0;


