#include "CWaterfall.h"

CWaterfall::CWaterfall()
{
}

CWaterfall::~CWaterfall()
{
}

CWaterfall::Create()
{
	vtx[0].x = -420.0f;
	vtx[0].y = 128.0f;
	vtx[0].z = -490.0f;
	vtx[0].tu = 0.0f;
	vtx[0].tv = 1.0f;
	vtx[1].x = -390.0f;
	vtx[1].y = 128.0f;
	vtx[1].z = -490.0f;
	vtx[1].tu = 2.0f;
	vtx[1].tv = 1.0f;
	vtx[2].x = -380.0f;
	vtx[2].y = -1.0f;
	vtx[2].z = -490.0f;
	vtx[2].tu = 2.0f;
	vtx[2].tv = 0.0f;
	vtx[3].x = -430.0f;
	vtx[3].y = -1.0f;
	vtx[3].z = -490.0f;
	vtx[3].tu = 0.0f;
	vtx[3].tv = 0.0f;

	float size = 15.0f;
	for(DWORD d=0;d<100;d++)
	{
		float x;
		if(vtx[0].x-vtx[1].x==0) x=vtx[0].x;
		else x = (float)(rand()%abs((int)(vtx[0].x-vtx[1].x)))+vtx[0].x;
		float y = (float)(rand()%abs((int)(vtx[2].y-vtx[0].y)))+vtx[2].y;
		float z;
		if(vtx[0].z-vtx[1].z==0) z=vtx[0].z;
		else z = (float)(rand()%abs((int)(vtx[0].z-vtx[1].z)))+vtx[0].z;
		vtxcloud[d*8+0].x = x-size;
		vtxcloud[d*8+0].y = y;
		vtxcloud[d*8+0].z = z+size;
		vtxcloud[d*8+0].tu = 0.0f;
		vtxcloud[d*8+0].tv = 0.0f;
		vtxcloud[d*8+1].x = x+size;
		vtxcloud[d*8+1].y = y;
		vtxcloud[d*8+1].z = z+size;
		vtxcloud[d*8+1].tu = 1.0f;
		vtxcloud[d*8+1].tv = 0.0f;
		vtxcloud[d*8+2].x = x+size;
		vtxcloud[d*8+2].y = y;
		vtxcloud[d*8+2].z = z-size;
		vtxcloud[d*8+2].tu = 1.0f;
		vtxcloud[d*8+2].tv = 1.0f;
		vtxcloud[d*8+3].x = x-size;
		vtxcloud[d*8+3].y = y;
		vtxcloud[d*8+3].z = z-size;
		vtxcloud[d*8+3].tu = 0.0f;
		vtxcloud[d*8+3].tv = 1.0f;

		vtxcloud[d*8+4].x = x-size;
		vtxcloud[d*8+4].y = y+size;
		vtxcloud[d*8+4].z = z;
		vtxcloud[d*8+4].tu = 0.0f;
		vtxcloud[d*8+4].tv = 0.0f;
		vtxcloud[d*8+5].x = x+size;
		vtxcloud[d*8+5].y = y+size;
		vtxcloud[d*8+5].z = z;
		vtxcloud[d*8+5].tu = 1.0f;
		vtxcloud[d*8+5].tv = 0.0f;
		vtxcloud[d*8+6].x = x+size;
		vtxcloud[d*8+6].y = y-size;
		vtxcloud[d*8+6].z = z;
		vtxcloud[d*8+6].tu = 1.0f;
		vtxcloud[d*8+6].tv = 1.0f;
		vtxcloud[d*8+7].x = x-size;
		vtxcloud[d*8+7].y = y-size;
		vtxcloud[d*8+7].z = z;
		vtxcloud[d*8+7].tu = 0.0f;
		vtxcloud[d*8+7].tv = 1.0f;
	}
}

CWaterfall::ActScene(DWORD time)
{
	for(DWORD d=0;d<100;d++)
	{
		float x2 = ((float)(rand()%100)/100.0f-0.5f)*(float)time/25.0f;
		float y2 = ((float)(rand()%100)/100.0f)*(float)time/25.0f;
		float z2 = ((float)(rand()%100)/100.0f-0.5f)*(float)time/25.0f;
		for(DWORD e=0;e<8;e++)
		{
			vtxcloud[d*8+e].x+=x2;
			vtxcloud[d*8+e].y+=y2;
			vtxcloud[d*8+e].z+=z2;
		}
		if(vtxcloud[d*8].y>200)
		{
		float size = 15.0f;
		float x;
		if(vtx[0].x-vtx[1].x==0) x=vtx[0].x;
		else x = (float)(rand()%abs((int)(vtx[0].x-vtx[1].x)))+vtx[0].x;
		float y = (float)(rand()%abs((int)(vtx[2].y-vtx[0].y)))+vtx[2].y;
		float z;
		if(vtx[0].z-vtx[1].z==0) z=vtx[0].z;
		else z = (float)(rand()%abs((int)(vtx[0].z-vtx[1].z)))+vtx[0].z;
		vtxcloud[d*8+0].x = x-size;
		vtxcloud[d*8+0].y = y;
		vtxcloud[d*8+0].z = z+size;
		vtxcloud[d*8+0].tu = 0.0f;
		vtxcloud[d*8+0].tv = 0.0f;
		vtxcloud[d*8+1].x = x+size;
		vtxcloud[d*8+1].y = y;
		vtxcloud[d*8+1].z = z+size;
		vtxcloud[d*8+1].tu = 1.0f;
		vtxcloud[d*8+1].tv = 0.0f;
		vtxcloud[d*8+2].x = x+size;
		vtxcloud[d*8+2].y = y;
		vtxcloud[d*8+2].z = z-size;
		vtxcloud[d*8+2].tu = 1.0f;
		vtxcloud[d*8+2].tv = 1.0f;
		vtxcloud[d*8+3].x = x-size;
		vtxcloud[d*8+3].y = y;
		vtxcloud[d*8+3].z = z-size;
		vtxcloud[d*8+3].tu = 0.0f;
		vtxcloud[d*8+3].tv = 1.0f;
		vtxcloud[d*8+4].x = x-size;
		vtxcloud[d*8+4].y = y+size;
		vtxcloud[d*8+4].z = z;
		vtxcloud[d*8+4].tu = 0.0f;
		vtxcloud[d*8+4].tv = 0.0f;
		vtxcloud[d*8+5].x = x+size;
		vtxcloud[d*8+5].y = y+size;
		vtxcloud[d*8+5].z = z;
		vtxcloud[d*8+5].tu = 1.0f;
		vtxcloud[d*8+5].tv = 0.0f;
		vtxcloud[d*8+6].x = x+size;
		vtxcloud[d*8+6].y = y-size;
		vtxcloud[d*8+6].z = z;
		vtxcloud[d*8+6].tu = 1.0f;
		vtxcloud[d*8+6].tv = 1.0f;
		vtxcloud[d*8+7].x = x-size;
		vtxcloud[d*8+7].y = y-size;
		vtxcloud[d*8+7].z = z;
		vtxcloud[d*8+7].tu = 0.0f;
		vtxcloud[d*8+7].tv = 1.0f;
		}
	}
	for(d=0;d<4;d++)
		vtx[d].tv+=0.005f*time/25.0f;
	if(vtx[0].tv<1.0f)
	{
		for(d=0;d<4;d++)
			vtx[d].tv-=1.0f;
	}
}

CWaterfall::Render()
{
	float g[4] = {1.0f,1.0f,1.0f,0.5f};
	glMaterialfv(GL_FRONT_AND_BACK,GL_AMBIENT_AND_DIFFUSE,g);
	glEnable(GL_TEXTURE_2D);
	glEnable(GL_BLEND);
	glBlendFunc(GL_ONE_MINUS_SRC_ALPHA,GL_SRC_ALPHA);
	glDepthMask(0);
	glBindTexture(GL_TEXTURE_2D,texwater);
	glBegin(GL_QUADS);
	for(DWORD d=0;d<4;d++)
	{
		glNormal3f(vtx[d].nx,vtx[d].ny,vtx[d].nz);
		glTexCoord2f(vtx[d].tu,vtx[d].tv);
		glVertex3f(vtx[d].x,vtx[d].y,vtx[d].z);
	}
	glEnd();
	float l[4] = {1.0f,1.0f,1.0f,1.0f};
	glMaterialfv(GL_FRONT_AND_BACK,GL_AMBIENT_AND_DIFFUSE,l);
	glBindTexture(GL_TEXTURE_2D,texcloud);
	glBegin(GL_QUADS);
	for(d=0;d<100*8;d++)
	{
		glNormal3f(vtxcloud[d].nx,vtxcloud[d].ny,vtxcloud[d].nz);
		glTexCoord2f(vtxcloud[d].tu,vtxcloud[d].tv);
		glVertex3f(vtxcloud[d].x,vtxcloud[d].y,vtxcloud[d].z);
	}
	glEnd();
	glDisable(GL_BLEND);
	glDepthMask(1);
}
