#include "CWind.h"

CWind::CWind()
{
	ampl=0.01f;
	speed=1.0f;
}

CWind::~CWind()
{
}

void CWind::ActScene(CTree *Trees,DWORD dtime)
{
	float time = (float)dtime/1000.0f*speed;
	for(DWORD d=0;d<(*Trees).AktObj;d++)
	{
		if((*Trees).Objects[d].distance<=5000)
		{
			(*Trees).Objects[d].main[0].z += sin(5-(*Trees).Objects[d].vPos.z+time*0.8)*ampl*(*Trees).Objects[d].size;
			(*Trees).Objects[d].main[1].z += sin(7-(*Trees).Objects[d].vPos.z+time*0.8)*ampl*(*Trees).Objects[d].size;

			(*Trees).Objects[d].main[4].x += sin(3-(*Trees).Objects[d].vPos.x+time)*ampl*(*Trees).Objects[d].size;
			(*Trees).Objects[d].main[4].z += sin(-8-(*Trees).Objects[d].vPos.z+time)*ampl*(*Trees).Objects[d].size;
			(*Trees).Objects[d].main[5].x += sin(-9-(*Trees).Objects[d].vPos.x+time)*ampl*(*Trees).Objects[d].size;
			(*Trees).Objects[d].main[5].z += sin(6-(*Trees).Objects[d].vPos.z+time)*ampl*(*Trees).Objects[d].size;
	
			(*Trees).Objects[d].main[8].x += sin(9-(*Trees).Objects[d].vPos.x+time*0.9)*ampl*(*Trees).Objects[d].size;
			(*Trees).Objects[d].main[9].z += sin(13-(*Trees).Objects[d].vPos.z+time*0.9)*ampl*(*Trees).Objects[d].size;
			(*Trees).Objects[d].main[9].x += sin(-4-(*Trees).Objects[d].vPos.x+time*0.9)*ampl*(*Trees).Objects[d].size;
			(*Trees).Objects[d].main[9].z += sin(8-(*Trees).Objects[d].vPos.z+time*0.9)*ampl*(*Trees).Objects[d].size;
			for(WORD b=0;b<15;b++)
			{
				(*Trees).Objects[d].branches[b*3+1].x += sin(b+1-(*Trees).Objects[d].vPos.x+time*0.9f)*ampl*(*Trees).Objects[d].size;
				(*Trees).Objects[d].branches[b*3+1].z += sin(b+4-(*Trees).Objects[d].vPos.z+time*0.5f)*ampl*(*Trees).Objects[d].size;
				(*Trees).Objects[d].branches[b*3+2].x += sin(b+6-(*Trees).Objects[d].vPos.x+time*0.7f)*ampl*(*Trees).Objects[d].size;
				(*Trees).Objects[d].branches[b*3+2].z += sin(b-2-(*Trees).Objects[d].vPos.z+time*0.8f)*ampl*(*Trees).Objects[d].size;
			}
		}
	}
}