#include <dinput.h>

LPDIRECTINPUT			lpDI=0;
LPDIRECTINPUTDEVICE		lpDIDMouse=0,lpDIDKeyboard=0;

void CloseDirectInput(void);
void InitDirectInput(HINSTANCE,HWND,DWORD,unsigned char,unsigned char);

void InitDirectInput(HINSTANCE hInst,HWND hWnd,DWORD Flags,unsigned char Mouse,unsigned char Keyboard)
{
	HANDLE					DIMouseEvent;
	DIPROPDWORD				DIpdw = 
	{{sizeof(DIPROPDWORD),sizeof(DIPROPHEADER),0,DIPH_DEVICE,},16,};
	LPDIRECTINPUTDEVICE		lpDIDTemp;
	DirectInputCreate(hInst,Flags,&lpDI,NULL);
	if(Mouse)
	{
		lpDI->CreateDevice(GUID_SysMouse,&lpDIDTemp,NULL);
		lpDIDTemp->QueryInterface(IID_IDirectInputDevice2,(void**)&lpDIDMouse);
		lpDIDTemp->Release();
		lpDIDMouse->SetCooperativeLevel(hWnd,DISCL_EXCLUSIVE | DISCL_FOREGROUND);
		lpDIDMouse->SetDataFormat(&c_dfDIMouse);
		DIMouseEvent=CreateEvent(0,0,0,0);
		lpDIDMouse->SetEventNotification(DIMouseEvent);
		lpDIDMouse->SetProperty(DIPROP_BUFFERSIZE,&DIpdw.diph);
		lpDIDMouse->Acquire();
	}
	if(Keyboard)
	{
		lpDI->CreateDevice(GUID_SysKeyboard,&lpDIDTemp,NULL);
		lpDIDTemp->QueryInterface(IID_IDirectInputDevice2,(void**)&lpDIDKeyboard);
		lpDIDTemp->Release();
		lpDIDKeyboard->SetCooperativeLevel(hWnd,DISCL_EXCLUSIVE | DISCL_FOREGROUND);
		lpDIDKeyboard->SetDataFormat(&c_dfDIKeyboard);
		lpDIDKeyboard->SetProperty(DIPROP_BUFFERSIZE,&DIpdw.diph);
		lpDIDKeyboard->Acquire();
	}
}

void CloseDirectInput(void)
{
	if(lpDIDMouse) lpDIDMouse->Unacquire();
	if(lpDIDKeyboard) lpDIDKeyboard->Unacquire();
	if(lpDIDMouse) lpDIDMouse->Release();
	if(lpDIDKeyboard) lpDIDKeyboard->Release();
	if(lpDI) lpDI->Release();
	lpDIDMouse=0;
	lpDIDKeyboard=0;
	lpDI=0;
}